Export all receipt lines as CSV or XLSX
curl --request GET \
--url https://api.bold-factory.com/v1/warehouse/receipts/lines/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/warehouse/receipts/lines/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/warehouse/receipts/lines/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contentType": "<string>",
"fileDownloadName": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"entityTag": {
"tag": {
"buffer": "<string>",
"offset": 123,
"length": 123,
"value": "<string>",
"hasValue": true
},
"isWeak": true
},
"enableRangeProcessing": true
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"parameters": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"parameters": {}
}Exports
Export all receipt lines as CSV or XLSX
The format is chosen via the Accept header (text/csv by default). Requires Analytics.Reports.Read permissions
GET
/
v1
/
warehouse
/
receipts
/
lines
/
export
Export all receipt lines as CSV or XLSX
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
⌘I